<?php

namespace Drupal\user_history\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides a dummy form to prevent deleting user_history entities.
 *
 * @ingroup user_history
 */
class UserHistoryDeleteForm extends FormBase {

  /**
   * {@inheritdoc}.
   */
  public function getFormId() {
    return 'user_history_delete';
  }

  /**
   * {@inheritdoc}.
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
  }

}
